<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="?android:attr/selectableItemBackground"
    android:gravity="center_vertical"
    android:minHeight="@dimen/platform_jump_text_view_min_height"
    android:orientation="horizontal"
    android:paddingLeft="12dp"
    android:paddingRight="12dp">

    <ImageView
        android:id="@+id/iv_icon"
        android:layout_width="@dimen/jump_text_view_icon_size"
        android:layout_height="@dimen/jump_text_view_icon_size"
        android:layout_marginEnd="@dimen/platform_default_dis_size"
        android:layout_marginRight="@dimen/platform_default_dis_size"
        android:contentDescription="@null"
        tools:src="@drawable/platform_icon_country" />

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content">

        <TextView
            android:id="@+id/tv_left_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:drawablePadding="@dimen/platform_default_dis_size_small"
            tools:text="china +86" />

        <ImageView
            android:id="@+id/img_reddot"
            android:layout_width="6dp"
            android:layout_height="6dp"
            android:layout_marginLeft="5dp"
            android:layout_marginStart="5dp"
            android:layout_toEndOf="@id/tv_left_text"
            android:layout_toRightOf="@id/tv_left_text"
            android:contentDescription="@null"
            android:src="@drawable/platform_msg_notification"
            android:visibility="gone"
            tools:visibility="visible" />
    </RelativeLayout>

    <TextView
        android:id="@+id/tv_right_text"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_weight="1"
        android:drawablePadding="@dimen/platform_default_dis_size_small"
        android:ellipsize="end"
        android:gravity="end"
        android:singleLine="true" />
</LinearLayout>